de.esprit.netsuite.rtask.journal

## Class JournalTaskMonitor<S extends ServerContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.task.monitor.AbstractTaskMonitor<S>
      - - de.esprit.netsuite.rtask.RemoteTaskMonitor<S>
        - - de.esprit.netsuite.rtask.journal.JournalTaskMonitor<S>

- All Implemented Interfaces:
    ApplicationObject<S>, TaskMonitor<S>, SimpleLogSupport, Dumpable, ServerObject<S>

      public class JournalTaskMonitor<S extends ServerContext>
      extends RemoteTaskMonitor<S>

  This is a special `RemoteTaskMonitor` which stores all `RemoteTaskEvent`s sent in a journalList. In case the client disconnected and reconnects again, these events will be re-sent to the client such that the client can re-attach to the remote task it had lost before.
  Author:
    Thomas Stecher, Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JournalTaskMonitor(JournalTask<S> journalTask)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attachAndPlayEventJournal(SessionId sessionId)`
    `int` | `getEventCount()`
    `java.util.List<RemoteTaskEvent>` | `getJournalEventList()`
    `protected void` | `sendRemoteTaskEvent(RemoteTaskEvent event)`
    `void` | `setIgnoreConsoleOutput(boolean doIgnore)` If set to true, then PROGRESS events caused by console output are ignored.
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.rtask.RemoteTaskMonitor

      `getServerContext, taskCancelled, taskChildFinished, taskChildStarted, taskChildSucceeded, taskFailed, taskFinished, taskProceeded, taskStarted, taskSucceeded`

    - ### Methods inherited from class de.esprit.appsuite.task.monitor.AbstractTaskMonitor

      `accept`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.launch.ApplicationObject

      `getApplicationContext`

- - ### Constructor Detail

    - #### JournalTaskMonitor

          public JournalTaskMonitor(JournalTask<S> journalTask)

  - ### Method Detail

    - #### setIgnoreConsoleOutput

          public void setIgnoreConsoleOutput(boolean doIgnore)

      If set to true, then PROGRESS events caused by console output are ignored. Such events may come very frequently and tend to exhaust memory.

    - #### sendRemoteTaskEvent

          protected void sendRemoteTaskEvent(RemoteTaskEvent event)

      Overrides:
        `sendRemoteTaskEvent` in class `RemoteTaskMonitor<S extends ServerContext>`

    - #### attachAndPlayEventJournal

          public void attachAndPlayEventJournal(SessionId sessionId)

    - #### getEventCount

          public int getEventCount()

    - #### getJournalEventList

          public java.util.List<RemoteTaskEvent> getJournalEventList()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.